## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# Writer Class Reference

Inheritance diagram for Writer:

[legend]
List of all members.

## Public Member Functions

- Writer ()
- virtual ~Writer ()
- virtual void close ()=0
    Close the stream.
- virtual void flush ()=0
    Flush the stream.
- virtual XalanOutputStream * getStream ()
    Get the stream associated with the writer...
- virtual const XalanOutputStream * getStream () const
    Get the stream associated with the writer...
- virtual void write (const char *s, size_t theOffset=0, size_t theLength=npos)=0
    Writes a string.
- virtual void write (const XalanDOMChar *s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)=0
    Writes a string.
- virtual void write (XalanDOMChar c)=0
    Writes a character.
- virtual void write (const XalanDOMString &s, XalanDOMString::size_type theOffset=0, XalanDOMString::size_type theLength=XalanDOMString::npos)=0
    Writes a string.

## Static Public Attributes

- const size_t npos

## Constructor & Destructor Documentation

Writer::Writer | ( |  | ) |

virtual Writer::~Writer | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Writer::close | ( |  | ) | `[pure virtual]`

| Close the stream. Implemented in DOMStringPrintWriter, NullPrintWriter, PrintWriter, and XalanOutputStreamPrintWriter.

virtual void Writer::flush | ( |  | ) | `[pure virtual]`

| Flush the stream. Implemented in DOMStringPrintWriter, NullPrintWriter, PrintWriter, and XalanOutputStreamPrintWriter.

virtual const XalanOutputStream* Writer::getStream | ( |  | ) | const`[virtual]`

| Get the stream associated with the writer... Reimplemented in XalanOutputStreamPrintWriter.

virtual XalanOutputStream* Writer::getStream | ( |  | ) | `[virtual]`

| Get the stream associated with the writer... Reimplemented in XalanOutputStreamPrintWriter.

virtual void Writer::write | ( | const XalanDOMString & | s,
|  | XalanDOMString::size_type | theOffset = 0,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[pure virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the entire string is printed.
Implemented in DOMStringPrintWriter, NullPrintWriter, PrintWriter, and XalanOutputStreamPrintWriter.

virtual void Writer::write | ( | XalanDOMChar | c | ) | `[pure virtual]`

  | Writes a character. Parameters:
  c | character to write
Implemented in DOMStringPrintWriter, NullPrintWriter, PrintWriter, and XalanOutputStreamPrintWriter.

virtual void Writer::write | ( | const XalanDOMChar * | s,
|  | XalanDOMString::size_type | theOffset = 0,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[pure virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is XalanDOMString::npos, then the array is assumed to be null-terminated.
Implemented in DOMStringPrintWriter, NullPrintWriter, PrintWriter, and XalanOutputStreamPrintWriter.

virtual void Writer::write | ( | const char * | s,
|  | size_t | theOffset = 0,
|  | size_t | theLength = npos
| ) | `[pure virtual]`

  | Writes a string. Parameters:
  s | string to write
  theOffset | starting offset in string to begin writing, default 0
  theLength | number of characters to write. If the length is npos, then the array is assumed to be null-terminated.
Implemented in DOMStringPrintWriter, NullPrintWriter, PrintWriter, and XalanOutputStreamPrintWriter.

## Member Data Documentation

const size_t Writer::npos`[static]`

The documentation for this class was generated from the following file:

- Writer.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.